> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Access Token

> By consuming this endpoint you can refresh the access token by providing the refresh token.

#### Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| refresh | string | Yes | The refresh token used to obtain a new access token. |

#### Response

The response will contain the new access token.

| Field | Description |
| --- | --- |
| access | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |



## OpenAPI

````yaml /business/openapi.json post /api/token/refresh
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders between fiat and
    stablecoins for your own accounts and wallets.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Ramp Orders
  - name: Webhooks
paths:
  /api/token/refresh:
    post:
      tags:
        - Authentication
      summary: Refresh Access Token
      description: >-
        By consuming this endpoint you can refresh the access token by providing
        the refresh token.


        #### Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | refresh | string | Yes | The refresh token used to obtain a new access
        token. |


        #### Response


        The response will contain the new access token.


        | Field | Description |

        | --- | --- |

        | access | The access token, valid for 5 minutes, is used to
        authenticate requests to other endpoints. |
      operationId: refresh-access-token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                refresh:
                  type: string
            example:
              refresh: '{{refreshToken}}'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  access:
                    type: string
              examples:
                api-token-refresh:
                  summary: api/token/refresh
                  value:
                    access: <jwt>
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````